Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network83.17.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
83.17.0.0
Broadcast address
83.17.63.255
First usable
83.17.0.1
Last usable
83.17.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 53110000 · Integer 1393623040 to 1393639423
Reverse DNS zones
0.17.83.in-addr.arpa
1.17.83.in-addr.arpa
2.17.83.in-addr.arpa
3.17.83.in-addr.arpa
4.17.83.in-addr.arpa
5.17.83.in-addr.arpa
6.17.83.in-addr.arpa
7.17.83.in-addr.arpa
8.17.83.in-addr.arpa
9.17.83.in-addr.arpa
10.17.83.in-addr.arpa
11.17.83.in-addr.arpa
12.17.83.in-addr.arpa
13.17.83.in-addr.arpa
14.17.83.in-addr.arpa
15.17.83.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010011.00010001.00000000.0000000083.17.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01010011.00010001.00000000.0000000083.17.0.0
Broadcast01010011.00010001.00111111.1111111183.17.63.255
Split into smaller subnets/24

83.17.0.0/18 makes 64 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
183.17.0.0/2483.17.0.1 to 83.17.0.25483.17.0.255254
283.17.1.0/2483.17.1.1 to 83.17.1.25483.17.1.255254
383.17.2.0/2483.17.2.1 to 83.17.2.25483.17.2.255254
483.17.3.0/2483.17.3.1 to 83.17.3.25483.17.3.255254
583.17.4.0/2483.17.4.1 to 83.17.4.25483.17.4.255254
683.17.5.0/2483.17.5.1 to 83.17.5.25483.17.5.255254
783.17.6.0/2483.17.6.1 to 83.17.6.25483.17.6.255254
883.17.7.0/2483.17.7.1 to 83.17.7.25483.17.7.255254
983.17.8.0/2483.17.8.1 to 83.17.8.25483.17.8.255254
1083.17.9.0/2483.17.9.1 to 83.17.9.25483.17.9.255254
1183.17.10.0/2483.17.10.1 to 83.17.10.25483.17.10.255254
1283.17.11.0/2483.17.11.1 to 83.17.11.25483.17.11.255254
1383.17.12.0/2483.17.12.1 to 83.17.12.25483.17.12.255254
1483.17.13.0/2483.17.13.1 to 83.17.13.25483.17.13.255254
1583.17.14.0/2483.17.14.1 to 83.17.14.25483.17.14.255254
1683.17.15.0/2483.17.15.1 to 83.17.15.25483.17.15.255254
1783.17.16.0/2483.17.16.1 to 83.17.16.25483.17.16.255254
1883.17.17.0/2483.17.17.1 to 83.17.17.25483.17.17.255254
1983.17.18.0/2483.17.18.1 to 83.17.18.25483.17.18.255254
2083.17.19.0/2483.17.19.1 to 83.17.19.25483.17.19.255254
2183.17.20.0/2483.17.20.1 to 83.17.20.25483.17.20.255254
2283.17.21.0/2483.17.21.1 to 83.17.21.25483.17.21.255254
2383.17.22.0/2483.17.22.1 to 83.17.22.25483.17.22.255254
2483.17.23.0/2483.17.23.1 to 83.17.23.25483.17.23.255254
2583.17.24.0/2483.17.24.1 to 83.17.24.25483.17.24.255254
2683.17.25.0/2483.17.25.1 to 83.17.25.25483.17.25.255254
2783.17.26.0/2483.17.26.1 to 83.17.26.25483.17.26.255254
2883.17.27.0/2483.17.27.1 to 83.17.27.25483.17.27.255254
2983.17.28.0/2483.17.28.1 to 83.17.28.25483.17.28.255254
3083.17.29.0/2483.17.29.1 to 83.17.29.25483.17.29.255254
3183.17.30.0/2483.17.30.1 to 83.17.30.25483.17.30.255254
3283.17.31.0/2483.17.31.1 to 83.17.31.25483.17.31.255254
3383.17.32.0/2483.17.32.1 to 83.17.32.25483.17.32.255254
3483.17.33.0/2483.17.33.1 to 83.17.33.25483.17.33.255254
3583.17.34.0/2483.17.34.1 to 83.17.34.25483.17.34.255254
3683.17.35.0/2483.17.35.1 to 83.17.35.25483.17.35.255254
3783.17.36.0/2483.17.36.1 to 83.17.36.25483.17.36.255254
3883.17.37.0/2483.17.37.1 to 83.17.37.25483.17.37.255254
3983.17.38.0/2483.17.38.1 to 83.17.38.25483.17.38.255254
4083.17.39.0/2483.17.39.1 to 83.17.39.25483.17.39.255254
4183.17.40.0/2483.17.40.1 to 83.17.40.25483.17.40.255254
4283.17.41.0/2483.17.41.1 to 83.17.41.25483.17.41.255254
4383.17.42.0/2483.17.42.1 to 83.17.42.25483.17.42.255254
4483.17.43.0/2483.17.43.1 to 83.17.43.25483.17.43.255254
4583.17.44.0/2483.17.44.1 to 83.17.44.25483.17.44.255254
4683.17.45.0/2483.17.45.1 to 83.17.45.25483.17.45.255254
4783.17.46.0/2483.17.46.1 to 83.17.46.25483.17.46.255254
4883.17.47.0/2483.17.47.1 to 83.17.47.25483.17.47.255254
4983.17.48.0/2483.17.48.1 to 83.17.48.25483.17.48.255254
5083.17.49.0/2483.17.49.1 to 83.17.49.25483.17.49.255254
5183.17.50.0/2483.17.50.1 to 83.17.50.25483.17.50.255254
5283.17.51.0/2483.17.51.1 to 83.17.51.25483.17.51.255254
5383.17.52.0/2483.17.52.1 to 83.17.52.25483.17.52.255254
5483.17.53.0/2483.17.53.1 to 83.17.53.25483.17.53.255254
5583.17.54.0/2483.17.54.1 to 83.17.54.25483.17.54.255254
5683.17.55.0/2483.17.55.1 to 83.17.55.25483.17.55.255254
5783.17.56.0/2483.17.56.1 to 83.17.56.25483.17.56.255254
5883.17.57.0/2483.17.57.1 to 83.17.57.25483.17.57.255254
5983.17.58.0/2483.17.58.1 to 83.17.58.25483.17.58.255254
6083.17.59.0/2483.17.59.1 to 83.17.59.25483.17.59.255254
6183.17.60.0/2483.17.60.1 to 83.17.60.25483.17.60.255254
6283.17.61.0/2483.17.61.1 to 83.17.61.25483.17.61.255254
6383.17.62.0/2483.17.62.1 to 83.17.62.25483.17.62.255254
6483.17.63.0/2483.17.63.1 to 83.17.63.25483.17.63.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses